import {select, csv, scaleLinear} from 'd3';

const svg = select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');

function renderGraph(data) {
  svg.selectAll('rect').data(data)
    .enter().append('rect')
      .attr('width', 220)
      .height('height', 440)
}

csv('movie_gross.csv')
  .then(data => {
    data.map(d => ({
      year: +d.year,
      film: d.film,
      gross: +d.gross
    }));
    // renderGraph(data);
  console.log(data)
  })
  .catch(err => console.error(err));

console.log('Hopefully this is working');